Package com.smartgwt.logicalstructure.widgets.drawing

# Class DrawPolygonLogicalStructure

java.lang.Object
com.smartgwt.logicalstructure.core.LogicalStructureObject
com.smartgwt.logicalstructure.widgets.BaseWidgetLogicalStructure
com.smartgwt.logicalstructure.widgets.drawing.DrawItemLogicalStructure
com.smartgwt.logicalstructure.widgets.drawing.DrawPathLogicalStructure
com.smartgwt.logicalstructure.widgets.drawing.DrawPolygonLogicalStructure

Direct Known Subclasses:
  `DrawTriangleLogicalStructure`

public class DrawPolygonLogicalStructure extends DrawPathLogicalStructure

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `String[]`
  `knobs`
  `String`
  `lineCap`
  `Point[]`
  `points`
  `String`
  `showTitleLabelBackground`
  `String`
  `titleRotationMode`

  ### Fields inherited from class com.smartgwt.logicalstructure.widgets.drawing.DrawItemLogicalStructure

  `canDrag, canHover, contextMenu, cursor, destroyed, destroying, dragStartDistance, drawGroup, drawPaneAsDrawPane, drawPaneAsString, editProxyConstructor, endArrow, eventOpaque, eventPassThrough, fillColor, fillGradientAsGradient, fillGradientAsString, fillOpacity, hoverDelay, keepInParentRectAsString, lineColor, lineOpacity, linePattern, lineWidth, moveKnobOffset, moveKnobPoint, prompt, proportionalResizeModifiers, proportionalResizing, resizeKnobPoints, resizeViaLocalTransformOnly, rotation, scale, shadow, showHover, showResizeOutline, startArrow, title, titleAutoFit, titleAutoFitMargin, titleAutoFitRotationMode, titleLabelPadding, translate, useSimpleTransform, xShearFactor, yShearFactor, zIndex`

  ### Fields inherited from class com.smartgwt.logicalstructure.widgets.BaseWidgetLogicalStructure

  `autoDraw, ID`

  ### Fields inherited from class com.smartgwt.logicalstructure.core.LogicalStructureObject

  `logicalStructureErrors, scClassName`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DrawPolygonLogicalStructure()`

- ## Method Summary

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### knobs

    public String[] knobs

  - ### lineCap

    public String lineCap

  - ### points

    public Point[] points

  - ### showTitleLabelBackground

    public String showTitleLabelBackground

  - ### titleRotationMode

    public String titleRotationMode

- ## Constructor Details

  - ### DrawPolygonLogicalStructure

    public DrawPolygonLogicalStructure()